/* stylelint-disable no-descending-specificity */
/* stylelint-disable font-family-no-missing-generic-family-keyword */
/* stylelint-disable selector-class-pattern */

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .cs-panel-list .kanan,
  .cs-sorting-list .kanan,
  .cs-pagination-list .kanan,
  .cs-tab-list .kanan {
    float: left;
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .cs-panel-list .kanan,
  .cs-sorting-list .kanan,
  .cs-pagination-list .kanan,
  .cs-tab-list .kanan {
    float: right;
  }
}

/* hide loading spinner index */
#spinner-index {
  display: none;
}

/* Form Input */

.form select,
textarea,
input[type='date'],
input[type='datetime'],
input[type='datetime-local'],
input[type='email'],
input[type='month'],
input[type='number'],
input[type='password'],
input[type='range'],
input[type='search'],
input[type='tel'],
input[type='text'],
input[type='time'],
input[type='url'],
input[type='week'] {
  height: auto;
  border-color: #9e9e9e;
  border-radius: 8px;
}

/* .ng-select input {
  padding: 8px 12px !important;
} */

/* Input Tags */
.select-tags .ng-clear-wrapper,
.select-tags .ng-arrow-wrapper {
  display: none;
}

/* .select-tags .ng-placeholder {
  padding-top: 3px;
} */

.ng-select {
  font-size: 14px;
}

.ng-select .ng-select-container {
  border-radius: 8px;
  border: 1px solid #9e9e9e;
}

.ng-select .ng-select-container .ng-value-container .ng-placeholder {
  font-size: 14px;
}

/* ng-select */
.ng-select.ng-select-focused:not(.ng-select-opened) > .ng-select-container {
  border-color: #207dba;
  box-shadow: none;
}

/* .ng-select.ng-select-single .ng-select-container,
.ng-select.ng-select-multiple .ng-select-container {
  height: 43px;
} */

.ng-select.ng-select-multiple .ng-select-container.ng-has-value {
  height: auto;
}

.ng-select.ng-select-multiple .ng-select-container .ng-value-container {
  position: absolute;
}

.ng-select .ng-select-container .ng-value-container .ng-input > input {
  padding-left: 0 !important;
  height: auto !important;
}

.ng-select .ng-select-container .ng-spinner-loader {
  position: absolute;
  right: 10px;
}

/* Breadcrumb */
.cs-breadcrumb .last {
  color: black !important;
  font-size: 13px;
}

/* Pagination */
.cs-panel-list .cs-panel-action {
  padding: 15px 20px;
}

.cs-panel-list .cs-panel-action .btn {
  height: auto !important;
}

.cs-page-list .cs-select-holder .chosen-select {
  height: 30px;
  width: 50px;
  font-size: 12px;
  border-color: #f0f0f0;
}

.cs-pagination-list .cs-pagination {
  margin-bottom: 0;
}

.cs-pagination-list .cs-pagination .pagination > li > a {
  padding: 5px 12px !important;
}

.cs-pagination-list .cs-pagination .pagination > li.active > a {
  background-color: #217eba;
  color: #fff !important;
  border: 1px solid #217eba;
  pointer-events: none;
  opacity: 0.7;
}

.cs-pagination-list .cs-pagination .pagination > li.disabled > a {
  pointer-events: none;
  opacity: 0.7;
}

/* Table */
.cs-table-border td {
  border: 1px solid #ddd;
  padding: 8px;
  line-height: 1.4286;
  vertical-align: top;
}

.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: #f9f9f9;
}

/* Table Merge */
.cs-shortcode-table .table.table-merge > thead > tr > th:first-child,
.cs-shortcode-table .table.table-merge > thead > tr > td:first-child,
.cs-shortcode-table .table.table-merge > tbody > tr > th:first-child,
.cs-shortcode-table .table.table-merge > tbody > tr > td:first-child {
  border-left: 0;
}

.cs-shortcode-table .table.table-merge > thead > tr:first-child > td,
.cs-shortcode-table .table.table-merge > thead > tr:first-child > th {
  border-top: 0;
}

.cs-shortcode-table .table.table-merge > thead > tr > th:last-child,
.cs-shortcode-table .table.table-merge > thead > tr > td:last-child,
.cs-shortcode-table .table.table-merge > tbody > tr > th:last-child,
.cs-shortcode-table .table.table-merge > tbody > tr > td:last-child {
  border-right: 0;
}

.cs-shortcode-table .table.table-merge > tbody > tr > th:last-child,
.cs-shortcode-table .table.table-merge > tbody > tr > td:last-child {
  border-bottom: 0;
}

.cs-shortcode-table .table.table-merge > tbody > tr:last-child > td,
.cs-shortcode-table .table.table-merge > tbody > tr:last-child > th {
  border-bottom: 0;
}

.cs-shortcode-table .table.table-merge > thead > tr:last-child > td,
.cs-shortcode-table .table.table-merge > thead > tr:last-child > th {
  border-bottom: 1px solid #000;
}

/* Table Statistic */
.cs-shortcode-table .table.table-statistic > thead > tr > th:first-child,
.cs-shortcode-table .table.table-statistic > thead > tr > td:first-child,
.cs-shortcode-table .table.table-statistic > tbody > tr > th:first-child,
.cs-shortcode-table .table.table-statistic > tbody > tr > td:first-child {
  border-left: 0;
}

.cs-shortcode-table .table.table-statistic > thead > tr:first-child > td,
.cs-shortcode-table .table.table-statistic > thead > tr:first-child > th {
  border-top: 0;
}

.cs-shortcode-table .table.table-statistic > thead > tr > th:last-child,
.cs-shortcode-table .table.table-statistic > thead > tr > td:last-child,
.cs-shortcode-table .table.table-statistic > tbody > tr > th:last-child,
.cs-shortcode-table .table.table-statistic > tbody > tr > td:last-child {
  border-right: 0;
}

.cs-shortcode-table .table.table-statistic > tbody > tr > th:last-child,
.cs-shortcode-table .table.table-statistic > tbody > tr > td:last-child {
  border-bottom: 0;
}

.cs-shortcode-table .table.table-statistic > tbody > tr:last-child > td,
.cs-shortcode-table .table.table-statistic > tbody > tr:last-child > th {
  border-bottom: 0;
}

.cs-shortcode-table .table.table-statistic > thead > tr > th {
  background-color: #f6f6f9;
  font-weight: bold;
  padding: 14px 29px;
  border-right: 1px solid #f6f6f9;
}

.cs-shortcode-table .table.table-statistic tbody tr:nth-child(even) {
  background-color: #fff;
}

.cs-shortcode-table .table.table-statistic tbody tr td {
  padding: 14px 29px;
  border-right: 1px solid transparent;
}

.cs-shortcode-table .table.table-statistic tbody tr:hover {
  background-color: #f2f5fb;
}

.cs-shortcode-table .table.table-statistic thead th {
  position: relative;
}

.cs-shortcode-table .table.table-statistic thead .sorting {
  padding-right: 40px;
}

.cs-shortcode-table .table.table-statistic thead .sorting,
.cs-shortcode-table .table.table-statistic thead .sorting_asc,
.cs-shortcode-table .table.table-statistic thead .sorting_desc {
  cursor: pointer;
}

.cs-shortcode-table .table.table-statistic thead .sorting::before,
.cs-shortcode-table .table.table-statistic thead .sorting::after,
.cs-shortcode-table .table.table-statistic thead .sorting_asc::before,
.cs-shortcode-table .table.table-statistic thead .sorting_asc::after,
.cs-shortcode-table .table.table-statistic thead .sorting_desc::before,
.cs-shortcode-table .table.table-statistic thead .sorting_desc::after {
  font-family: 'Font Awesome 5 Free';
  position: absolute;
  top: 50%;
  right: 20px;
  font-size: 12px;
  margin-top: -6px;
  display: inline-block;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
}

.cs-shortcode-table .table.table-statistic thead .sorting::before {
  content: '\f0dd';
  margin-top: -5px;
  opacity: 0.5;
}

.cs-shortcode-table .table.table-statistic thead .sorting::after {
  content: '\f0de';
  margin-top: -7px;
  opacity: 0.5;
}

.cs-shortcode-table .table.table-statistic thead .sorting_asc::after {
  content: '\f0de';
  margin-top: -3px;
  opacity: 1;
  color: #0753a6;
}

.cs-shortcode-table .table.table-statistic thead .sorting_desc::after {
  content: '\f0dd';
  margin-top: -9px;
  opacity: 1;
  color: #0753a6;
}

/* Table Admin */
.cs-shortcode-table .table.table-admin > thead > tr > th:first-child,
.cs-shortcode-table .table.table-admin > thead > tr > td:first-child,
.cs-shortcode-table .table.table-admin > tbody > tr > th:first-child,
.cs-shortcode-table .table.table-admin > tbody > tr > td:first-child {
  border-left: 0;
}

.cs-shortcode-table .table.table-admin > thead > tr:first-child > td,
.cs-shortcode-table .table.table-admin > thead > tr:first-child > th {
  border-top: 0;
}

.cs-shortcode-table .table.table-admin > thead > tr > th:last-child,
.cs-shortcode-table .table.table-admin > thead > tr > td:last-child,
.cs-shortcode-table .table.table-admin > tbody > tr > th:last-child,
.cs-shortcode-table .table.table-admin > tbody > tr > td:last-child {
  border-right: 0;
}

.cs-shortcode-table .table.table-admin > tbody > tr > th:last-child,
.cs-shortcode-table .table.table-admin > tbody > tr > td:last-child {
  border-bottom: 0;
}

.cs-shortcode-table .table.table-admin > tbody > tr:last-child > td,
.cs-shortcode-table .table.table-admin > tbody > tr:last-child > th {
  border-bottom: 0;
}

.cs-shortcode-table .table.table-admin > thead > tr > th {
  background-color: #fff;
  font-weight: bold;
  padding: 14px 30px 14px 15px;
  border-right: 1px solid #fff;
  vertical-align: middle;
}

.cs-shortcode-table .table.table-admin tbody tr:nth-child(even) {
  background-color: #fff;
}

.cs-shortcode-table .table.table-admin tbody tr td {
  padding: 14px 30px 14px 15px;
  border-right: 1px solid transparent;
}

.cs-shortcode-table .table.table-admin tbody tr:hover {
  background-color: #f2f5fb;
}

.cs-shortcode-table .table.table-admin thead th {
  position: relative;
}

.cs-shortcode-table .table.table-admin thead .sorting {
  padding-right: 40px;
}

.cs-shortcode-table .table.table-admin thead .sorting,
.cs-shortcode-table .table.table-admin thead .sorting_asc,
.cs-shortcode-table .table.table-admin thead .sorting_desc {
  cursor: pointer;
}

.cs-shortcode-table .table.table-admin thead .sorting::before,
.cs-shortcode-table .table.table-admin thead .sorting::after,
.cs-shortcode-table .table.table-admin thead .sorting_asc::before,
.cs-shortcode-table .table.table-admin thead .sorting_asc::after,
.cs-shortcode-table .table.table-admin thead .sorting_desc::before,
.cs-shortcode-table .table.table-admin thead .sorting_desc::after {
  font-family: 'Font Awesome 5 Free';
  position: absolute;
  top: 50%;
  right: 20px;
  font-size: 12px;
  margin-top: -6px;
  display: inline-block;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
}

.cs-shortcode-table .table.table-admin thead .sorting::before {
  content: '\f0dd';
  margin-top: -5px;
  opacity: 0.5;
}

.cs-shortcode-table .table.table-admin thead .sorting::after {
  content: '\f0de';
  margin-top: -7px;
  opacity: 0.5;
}

.cs-shortcode-table .table.table-admin thead .sorting_asc::after {
  content: '\f0de';
  margin-top: -3px;
  opacity: 1;
  color: #0753a6;
}

.cs-shortcode-table .table.table-admin thead .sorting_desc::after {
  content: '\f0dd';
  margin-top: -9px;
  opacity: 1;
  color: #0753a6;
}

/* Button */
.cs-dropdown-menu {
  padding: 10px 0;
}

.cs-dropdown-menu li {
  list-style: none;
}

.cs-dropdown-menu li a:hover {
  background-image: none;
}

/* Navigation */
.main-navigation ul a {
  font-weight: normal;
}

.main-navigation ul ul li a {
  font-weight: normal;
}

.main-navigation ul li.notif-item-has-children.open > .dropdown-menu,
.open > .dropdown-menu {
  display: block;
  visibility: visible;
  opacity: 1;
  transform: translateY(-2px);
}

/* Skeleton */
.wrapper-skeleton {
  width: 100%;
  flex: 1;
}

/* Search Area */
.cs-sorting-list {
  margin-bottom: 20px !important;
  padding-right: 7px !important;
  background-color: #fff !important;
  border: 1px solid #dedfe0;
}

.cs-page-list {
  padding: 0 !important;
  border: none;
  background-color: transparent !important;
}

.cs-sorting-list .cs-select-holder,
.cs-page-list .cs-select-holder,
.cs-tab-list .cs-select-holder {
  width: auto !important;
}

.cs-sorting-list .cs-input-holder .form-control,
.cs-sorting-list .cs-input-holder .btn,
.cs-sorting-list .cs-select-holder .chosen-select {
  height: 30px;
  font-size: 12px;
  border-color: #dedfe0;
}

.cs-sorting-list .cs-select-holder .chosen-select,
.cs-page-list .cs-select-holder .chosen-select {
  padding: 0 !important;
}

.cs-sorting-list .cs-select-holder .ng-select .ng-select-container,
.cs-page-list .cs-select-holder .ng-select .ng-select-container,
.cs-tab-list .cs-select-holder .ng-select .ng-select-container {
  min-height: 30px !important;
}

.cs-sorting-list .cs-select-holder .ng-select.ng-select-single .ng-select-container,
.cs-page-list .cs-select-holder .ng-select.ng-select-single .ng-select-container,
.cs-tab-list .cs-select-holder .ng-select.ng-select-single .ng-select-container {
  height: 30px !important;
}

.cs-sorting-list .cs-select-holder .ng-select.klasifikasi .ng-select-container,
.cs-tab-list .cs-select-holder .ng-select.klasifikasi .ng-select-container {
  min-width: 120px;
}

.cs-sorting-list .cs-select-holder .ng-select.ng-select-single.klasifikasi .ng-select-container,
.cs-tab-list .cs-select-holder .ng-select.ng-select-single.klasifikasi .ng-select-container {
  width: 120px;
}

.cs-sorting-list .cs-select-holder .ng-select.urutan .ng-select-container,
.cs-tab-list .cs-select-holder .ng-select.urutan .ng-select-container {
  min-width: 150px;
}

.cs-sorting-list .cs-select-holder .ng-select.ng-select-single.urutan .ng-select-container,
.cs-tab-list .cs-select-holder .ng-select.ng-select-single.urutan .ng-select-container {
  width: 150px;
}

.cs-page-list .cs-select-holder .ng-select.perhalaman .ng-select-container {
  min-width: 60px;
}

.cs-page-list .cs-select-holder .ng-select.ng-select-single.perhalaman .ng-select-container {
  width: 60px;
}

.cs-page-list .cs-select-holder .ng-select.perhalamandetail .ng-select-container {
  min-width: 60px;
}

.cs-page-list .cs-select-holder .ng-select.ng-select-single.perhalamandetail .ng-select-container {
  width: 60px;
}

.cs-sorting-list
.cs-select-holder
.ng-select.ng-select-single
.ng-select-container
.ng-value-container
.ng-input,
.cs-page-list
.cs-select-holder
.ng-select.ng-select-single
.ng-select-container
.ng-value-container
.ng-input,
.cs-tab-list
.cs-select-holder
.ng-select.ng-select-single
.ng-select-container
.ng-value-container
.ng-input {
  top: 50%;
  transform: translateY(-50%);
}

.cs-sorting-list .cs-select-holder .ng-dropdown-panel,
.cs-page-list .cs-select-holder .ng-dropdown-panel,
.cs-tab-list .cs-select-holder .ng-dropdown-panel {
  width: auto !important;
  max-width: 550px;
  min-width: 100%;
}

/* Button */
a.btn {
  padding: 10px 12px;
}

dropdown-menu li.disabled a {
  pointer-events: none;
  opacity: 0.6;
}

#swal2-content {
  text-align: center;
}

#swal2-title {
  text-transform: none !important;
}

.badge-classification {
  padding: 5px 12px;
  font-size: 12px;
}

/* floating button */
.float-btn {
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 40px;
  right: 20px;
  color: #fff;
  border-radius: 50px;
  text-align: center;
  box-shadow: 2px 2px 3px #999;
  z-index: 15;
  cursor: pointer;
}

.float-icon {
  margin-top: 22px;
  font-size: 20px;
}

/* Status Permanent / temporary */
.realtime-status {
  font-size: 12px;
  color: #2196f3;
  padding: 0 10px;
  background-color: #e3f2fd;
  border-radius: 15px;
  height: 24px;
  border: 1px solid #2196f3;
  pointer-events: none;
}

.permanent-status {
  font-size: 12px;
  color: #6db61e;
  padding: 0 10px;
  background-color: #e4f6d1;
  border-radius: 15px;
  height: 24px;
  border: 1px solid #6db61e;
  pointer-events: none;
}

.temporary-status {
  font-size: 12px;
  color: #ff7e67;
  padding: 0 10px;
  background-color: #ffe3de;
  border-radius: 15px;
  height: 24px;
  border: 1px solid #ff7e67;
  pointer-events: none;
}

.center-cropped-30 {
  object-position: center;
  height: 30px;
  width: 30px;
}

.center-cropped-64 {
  object-position: center;
  height: 64px;
  width: 64px;
}

.star-rating {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

/* slider */
.slick-arrow {
  top: 48% !important;
}

.slick-slider {
  width: 85%;
  margin: auto;
}

.nav-btn {
  position: absolute;
  cursor: pointer;
  top: 40% !important;
  font-size: 25px;
  padding: 14px 15px 0 20px;
  border-radius: 50%;
  box-shadow: 12px 12px 32px rgb(61 68 71 / 16%);
  height: 52px;
  width: 52px;
}

.prev-slide.slick-disabled,
.next-slide.slick-disabled {
  pointer-events: none;
  opacity: 0.2;
}

.prev-slide {
  left: -75px;
  padding: 15px 15px 0 18px;
}

.next-slide {
  right: -75px;
}

.nav-btn:hover {
  border: 1px solid #0753a6;
}

.prev-slide:hover {
  color: #0753a6;
}

.next-slide:hover {
  color: #0753a6;
}

#toolbar-container {
  display: none !important;
}

.form-control[disabled],
.form-control[readonly],
fieldset[disabled] .form-control,
.ng-select.ng-select-disabled > .ng-select-container {
  background-color: #f3f3f3;
}

.form-control {
  color: black;
}

input[type='text'] {
  background: #fff;
}

.daterangepicker_input {
  display: none;
}

/* badges classification */
.label-lkpd {
  background: #a0c334;
}

.label-lkpj {
  background: #494ca2;
}

.label-sdgs {
  background: #de6b35;
}

.label-rkpd {
  background: #f8b400;
}

.label-lakip {
  background: #3282b8;
}

.label-rpjmd {
  background: #5b8c85;
}

/* timeline-tracking */
.timeline-tracking {
  list-style-type: none;
  position: relative;
  margin-left: 0;
}

.timeline-tracking::before {
  content: ' ';
  background: #198acb;
  display: inline-block;
  position: absolute;
  left: 8px;
  width: 4px;
  height: 100%;
  z-index: 400;
}

.timeline-tracking > li {
  padding-left: 40px;
  list-style: none;
}

.timeline-tracking > li::before {
  content: ' ';
  background: white;
  display: inline-block;
  position: absolute;
  border-radius: 50%;
  border: 3px solid #198acb;
  left: 0;
  width: 20px;
  height: 20px;
  z-index: 400;
}

.row-eq-height {
  display: flex;
}
